@import url(https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@100;200;300;400;500;600;700;800;900&display=swap);
:root {
    --gutter: 60px;
    --vgutter: 40px;

    --color-black: #151011;
    --color-green: #82B91C;
    --color-grey: #666;
    --color-light-green: #DEF2A3;

    --border-radius: 8px;

    --body-bg: #F6F6F6;
    --body-color: #151011;
    --content-panel-bg: #FFF;
    --color-primary: #82B91C;
    --text-on-primary: #151011;
    --text-color-dark: #151011;

    --color-unavailable: #AAA;
    --color-done: #FFCF2E;

    --link-color: inherit;
    --link-hover-color: #82B91C;

    --table-header-bg: #DEF2A3;

    --form-bg: #FFF;

}

@media screen and (max-width: 767px) {
    :root {
        --gutter: 20px;
    }

}

body {
    font-family: futura-pt, sans-serif;
    color: var(--body-color);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background: radial-gradient(circle, rgba(246,246,246,1) 37%, rgba(232,232,232,1) 100%);
}

/**
 * Form
 */
label {
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 0.1em;
}

.btn {
    font-size: 16px;
    font-weight: 500;
    text-transform: uppercase;
    box-shadow: none;
    letter-spacing: 0.05em;
    color: inherit;
    border: 1px solid var(--color-grey);
    border-top-color: #CCC;
    border-left-color: #CCC;
    border-top-left-radius: 0;
    border-bottom-right-radius: 0;
}
.btn-primary, .btn-primary:hover, .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled):focus {
    background: #FFF;
    border: 1px solid var(--color-green);
    border-top-color: #A2E623;
    border-left-color: #A2E623;
    font-weight: 700;

}
.btn-primary.disabled, .btn-primary:disabled {
    background: var(--color-primary);
    color: var(--text-on-primary);
    opacity: 0.7;
    border: 2px solid var(--color-green);
}
.btn-secondary:not(:disabled):not(.disabled).active,
.btn-secondary:not(:disabled):not(.disabled):active,
.show > .btn-secondary.dropdown-toggle {
    background: #fff;
    font-weight: 500;
    border-color: var(--color-green);
    box-shadow: inset -2px -2px var(--color-green);
}

.btn-link,
.btn-link:active,
.btn-link:active:focus,
.btn-link:focus,
.btn-link:hover {
    border-color: transparent!important;
}

.form-control {
    font-size: 1rem;
}
.form-control:focus {
    border-color: var(--color-green);
    box-shadow: none;
}

/**
 * Layout
 */
.ces-toolbar-logo img {
    width: 140px;
    height: auto;
}
.ces-body {
    flex: 1 1 100%;
    padding: var(--vgutter) var(--gutter);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/**
 * Typo
 */
h1 {
    font-size: 3.5rem;
    margin-bottom: 0.4em;
}
p {
    font-size: 1rem;
}

.text-muted {
    color: var(--color-green) !important;
    font-weight: 300;
}

h1 .text-muted {
    font-size: 50%;
    margin-top: -0.1em;
    display: block;
}

*, *::after, *::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a {
    color: inherit;
    text-decoration: inherit;
}

/* GLOBAL */
.ces-content {
    min-height: 75vh;
}
.ces-navbar {
    position: relative;
    width: 100%;
    height: 5rem;
    background: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5rem;
    box-shadow: 0 3px 10px rgba(0,0,0,.1);
    height: 10vh;
}

.ces-navbar .logo {
    position: relative;
    width: 100%;
    height: 65%;
}

.ces-navbar .logo img {
    height: 100%;
    width: auto;
}

.ces-navbar .link {
    display: flex;
    justify-content: center;
    align-items: center;
    background: #82B91A;
    padding: 0.5rem 1rem;
    text-transform: uppercase;
    color: #fff;
    font-weight: 500;
    border-radius: 8px;
    transition: all .25s ease-in-out;
    max-height: 75%;
}

.ces-navbar .link:hover {
    background: rgb(139, 197, 31);
}

.ces-navbar .link:hover a {
    color: #fff;
}

@media screen and (max-width: 767px) {
    .ces-navbar {
        padding: 0 1.5rem;
    }
}

@media screen and (min-width: 767px) {
    @media screen and (max-height: 730px) {
        .ces-navbar > * {
            transform: scale(.9);
        }
    }

    @media screen and (max-height: 650px) {
        .ces-navbar > * {
            transform: scale(.8);
        }
    }

    @media screen and (max-height: 580px) {
        .ces-navbar > * {
            transform: scale(.7);
        }
    }

    @media screen and (max-height: 490px) {
        .ces-navbar > * {
            transform: scale(.6);
        }
    }
}
.footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 1rem 2.5rem;
    background: #fff;
    box-shadow: 0 3px 10px rgba(0,0,0,.1);
    height: 15vh;
}

.footer .socials {
    display: flex;
    list-style: none;
    justify-content: space-between;
    align-items: center;
    padding-inline-start: 0;
}

.footer .socials li {
    background: rgb(182, 182, 182, 0.25);
    border-radius: 50%;
    width: 2.5rem;
    height: 2.5rem;
    font-size: 1.25rem;
    color: #464646;
    line-height: 2.3;
    text-align: center;
}

.footer .socials li:not(:last-child) {
    margin-right: 1.25rem;
}

.footer .contacts {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.footer .contacts h2 {
    font-size: 1rem;
    margin-bottom: .5rem;
    font-weight: 500;
    line-height: 1.2;
    color: var(--text-color-dark);
}

.footer .contacts p {
    font-size: .8rem;
}

.footer .links {
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer .links li {
    display: block;
}

.footer .links li + li:before {
    content: '⋅';
    margin: 0 1rem;
}

.footer .socials,
.footer .links,
.footer .contacts p {
    margin-bottom: 0;
}

@media screen and (max-width: 767px) {
    .footer {
        padding: 1.5rem 1.5rem;
        height: auto;
        flex-direction: column-reverse;
        gap: 0.5rem;
    }

    .footer .socials {
        margin-top: .25rem;
    }

    .footer .socials li {
        width: 2rem;
        height: 2rem;
        font-size: 1.125rem;
        line-height: 2.1;
    }

    .footer .socials li:not(:last-child) {
        margin-right: 1.25rem;
    }
    
    @media screen and (max-height: 650px) {
        .footer > * {
            transform: scale(.9);
        }
    }
}
@media screen and (min-width: 767px) {
    @media screen and (max-height: 650px) {
        .footer > * {
            transform: scale(.9);
        }
    }

    @media screen and (max-height: 580px) {
        .footer > * {
            transform: scale(.8);
        }
    }

    @media screen and (max-height: 490px) {
        .footer > * {
            transform: scale(.7);
        }
    }
}
body.page-login {
    flex-direction: column;
    overflow: visible;
    position: static;
    width: auto;
    height: auto;
    min-height: 100vh;
}
.login-wrapper {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: var(--vgutter) var(--gutter);
}
.login-wrapper .main-header #header-logo {
    font-size: 40px;
    font-weight: 500;
}
.ces-content:has(.join_session) {
    background-image: url(/build/images/home-bg.01040dde.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50% 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 75vh;
}

.join_session .block {
    padding: 2.5rem 2.5rem;
    background: rgba(255,255,255,0.95);
    box-shadow: 1rem 1rem 2rem rgba(0, 0, 0, 0.2);
    border-radius: 1.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.join_session .head-text {
    font-size: 1.5rem;
    margin-top: 0.4rem;
    margin-bottom: 0.4rem;
    font-weight: 400;
}

.join_session img {
    width: 50%;
}

.join_session p {
    font-size: 1.2rem;
}

.join_session ul {
    font-size: 1rem;
}

@media screen and (max-width: 767px) {
    .join_session p {
        font-size: 1rem;
        margin-bottom: .2rem;
    }

    .join_session {
        margin: 1rem;
    }

    .join_session .head-text {
        font-size: 1.25rem;
    }

    @media screen and (max-width: 580px) {
        .join_session {
            transform: scale(.85);
        }
    }

    @media screen and (max-width: 300px) {
        .join_session {
            transform: scale(.75);
        }
    }

    @media screen and (max-height: 580px) {
        .join_session {
            transform: scale(.85);
        }
    }

    @media screen and (max-height: 530px) {
        .join_session {
            transform: scale(.75);
        }
    }

    @media screen and (max-height: 480px) {
        .join_session {
            transform: scale(.65);
        }
    }

    @media screen and (max-height: 420px) {
        .join_session {
            transform: scale(.55);
        }
    }

    @media screen and (max-height: 370px) {
        .join_session {
            transform: scale(.45);
        }
    }
}

/* PC */
@media screen and (min-width: 767px) {
    @media screen and (max-height: 730px) {
        .join_session {
            transform: scale(.9);
        }
    }

    @media screen and (max-height: 650px) {
        .join_session {
            transform: scale(.8);
        }
    }

    @media screen and (max-height: 580px) {
        .join_session {
            transform: scale(.7);
        }
    }

    @media screen and (max-height: 490px) {
        .join_session {
            transform: scale(.6);
        }
    }

    @media screen and (max-height: 400px) {
        .join_session {
            transform: scale(.5);
        }
    }

    @media screen and (max-height: 340px) {
        .join_session {
            transform: scale(.4);
        }
    }

    @media screen and (max-height: 280px) {
        .join_session {
            transform: scale(.3);
        }
    }

    @media screen and (max-height: 220px) {
        .join_session {
            transform: scale(.2);
        }
    }
}
.rules {
    background-image: url(/build/images/home-bg.01040dde.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50% 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 75vh;
}

.rules .block {
    padding: 2rem 2rem;
    background: rgba(255,255,255,0.95);
    box-shadow: 1rem 1rem 2rem rgba(0, 0, 0, 0.2);
    border-radius: 1.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    max-width: 520px;
}

.rules .title {
    margin: 0;
    font-size: 2rem;
}

.rules .heading {
    margin-bottom: 0.75rem;
    font-size: 1.8rem;
}

.rules .subtitle {
    margin: 0;
    font-size: 1.5rem;
}

.rules .save-text {
    font-size: 0.85rem;
    font-weight: normal;
}
/* List */
.rules .instructions {
    font-family: "Libre Franklin";
    font-size: 0.85rem;
    line-height: 1.4;
    font-weight: 500;
    margin: 1em;
    margin-inline-start: 2em;
    text-align: left;
}

.rules .instructions li {
    margin-bottom: 0.1rem;
}

.rules .instructions li::marker {
    font-size: 1rem;
}

/* Exemples */
.rules .exemples {
    font-family: "Libre Franklin";
}
.rules .exemples strong {
    font-weight: bold;
}

.rules .exemple {
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}

.rules .exemple p {
    font-size: 0.8rem;
    line-height: 1.4;
    margin-top: 0.5rem;
}

.rules .tileContainer {
    display: inline-block;
    width: 2rem;
    height: 2rem;
}

/* Tile */
.rules .tile {
    font-family: "Libre Franklin";
    width: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    line-height: 1;
    font-weight: bold;
    vertical-align: middle;
    box-sizing: border-box;
    color: #fff;
    text-transform: uppercase;
    user-select: none;
}

.rules .tile::before {
    content: "";
    display: inline-block;
    padding-bottom: 100%;
}

.rules .tile.small {
    font-size: 1.4rem;
    padding-top: 0.075rem;
}

@media (max-height: 600px) {
    .rules .tile {
        font-size: 1rem;
    }
    .rules .tileContainer {
        height: 1rem;
    }
}

.rules .tile[data-state="empty"] {
    border: 0.05rem solid #d3d6da;
}
.rules .tile[data-state="tbd"] {
    background-color: #fff;
    border: 0.05rem solid #878a8c;
    color: #000;
}
.rules .tile[data-state="correct"] {
    background-color: #6aaa64;
}
.rules .tile[data-state="present"] {
    background-color: #c9b458;
}
.rules .tile[data-state="absent"] {
    background-color: #787c7e;
}

.rules .tile[data-animation="pop"] {
    animation-name: PopInRules;
    animation-duration: 100ms;
}

@keyframes PopInRules {
    from {
        transform: scale(0.8);
        opacity: 0;
    }

    40% {
        transform: scale(1.1);
        opacity: 1;
    }
}

.rules .tile[data-animation="flip-in"] {
    animation-name: FlipInRules;
    animation-duration: 250ms;
    animation-timing-function: ease-in;
}

@keyframes FlipInRules {
    0% {
        transform: rotateX(0);
    }
    100% {
        transform: rotateX(-90deg);
    }
}
.rules .tile[data-animation="flip-out"] {
    animation-name: FlipOutRules;
    animation-duration: 250ms;
    animation-timing-function: ease-in;
}

@keyframes FlipOutRules {
    0% {
        transform: rotateX(-90deg);
    }
    100% {
        transform: rotateX(0);
    }
}

.sudoku h3 {
    text-transform: unset !important;
    margin-bottom: 0;
}

.sudoku .subtitle {
    font-size: 1.35rem;
}

.sudoku .block {
    max-width: 600px;
}
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: background-color 0.2s ease;
}

:root {
    font-family: Arial, sans-serif;
    background: var(--bg-primary);
    color: var(--fg-primary);
    font-size: var(--fs-regular);
    user-select: none;
    -webkit-user-select: none;
    overflow: hidden;
    height: 100%;

    --fs-tiny: 12px;
    --fs-small: 14px;
    --fs-regular: 16px;
    --fs-medium: 20px;
    --fs-large: 36px;

    --game-width: 500px;
    
    --fg-primary: #1a1a1b;
    --fg-secondary: #787c7e;
    --icon-color: var(--fg-secondary);
    --border-primary: #d3d6da;
    --border-secondary: var(--border-primary);
    --bg-secondary: #e0e0e0;
    --mode-symbol-color: #f1f1f1;
    --bg-primary: #ffffff;

    --red: #C42C2C;
    --color-present: #c9b458;
    --color-correct: #6aaa64;
    --color-absent: var(--fg-secondary);
    --evaluated-key-color: var(--bg-primary);
    --key-bg: var(--border-primary);
}

body {
    height: 100%
}

.colorblind {
    --color-correct: #f5793a;
    --color-present: #85c0f9;
}

h3 {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.⬛,
.🟨,
.🟩 {
    color: var(--evaluated-key-color);
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/